using System;
using System.Linq;

namespace Sudar_brojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string a = Console.ReadLine();
            string b = Console.ReadLine();
            char[] a_c;
            char[] b_c;
            string r;
            if (a.Length != b.Length)
            {
                if (a.Length > b.Length) {
                    r = a.Substring(0, a.Length - b.Length);
                    a_c = a.Substring(a.Length - b.Length).ToCharArray();
                    b_c = b.ToCharArray();
                }
                else
                {
                    r = b.Substring(0, b.Length - a.Length);
                    a_c = a.ToCharArray();
                    b_c = b.Substring(b.Length - a.Length).ToCharArray();
                }
            }
            else
            {
                r = string.Empty;
                a_c = a.ToCharArray();
                b_c = b.ToCharArray();
            }
            for (int i = 0; i < a_c.Count(); i++)
            {
                if (a_c[i] > b_c[i])
                {
                    r += a_c[i];
                }
                else if (a_c[i] < b_c[i])
                {
                    r += b_c[i];
                }
                else
                {
                    r += a_c[i];
                    r += b_c[i];
                }
            }
            Console.WriteLine(r);
        }
    }
}